Subject: Re: How to make cygwin/bash shell work in emacs
From: Chet Ramey <[email-masked]>
To: [email-masked]
Cc: [email-masked], [email-masked]
Date: Tue, 2 Oct 2001 17:11:40 -0400

> >From the Bash man page:

I don't know what version of the man page this is, but it's not recent.
The behavior of ENV has changed to conform to POSIX.2 since this was
written.

>        Non-login interactive shells:
>          On startup (subject to the -norc and -rcfile options):
>                if ~/.bashrc exists, source it.
> 
>        Non-interactive shells:
>          On startup:
>                if the environment variable ENV is non-null, expand
>                it and source the file it names, as if the command
>                        if [ "$ENV" ]; then . $ENV; fi
>                had been executed, but do not use PATH to search
>                for the pathname.  When not started in Posix mode, bash
>                looks for BASH_ENV before ENV.
> 
> 
> Emacs starts Bash as "Non-login interactive shells". To make thing
> easier I suggest you set "BASH_ENV" to "/etc/profile" in ~/.emacs:
>     (setenv "BASH_ENV" "/etc/profile")
> 
> [ This is really Bash/Cygwin problem not Emacs, so I cross post ]

I don't see how you can possibly expect this to do anything, since the
portion of the manual page you quoted says explicitly that BASH_ENV is
only interpreted by *non-interactive* shells, and  you claim that emacs
starts bash as a non-login *interactive* shell.

(I don't use emacs, so I don't know if your claim is correct.)

-- 
``The lyf so short, the craft so long to lerne.'' - Chaucer
( ``Discere est Dolere'' -- chet)

Chet Ramey, CWRU    [email-masked]    http://cnswww.cns.cwru.edu/~chet/

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/